Index: c/src/lib/libbsp/i386/i386ex/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/i386ex/ChangeLog	(revision 68be514d868744235c90c2215db34f47444ab242)
+++ c/src/lib/libbsp/i386/i386ex/ChangeLog	(revision b3c7b2d808a670c856879711fb7b08394b4dab28)
@@ -1,2 +1,8 @@
+2004-01-07	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Remove.
+	* Makefile.am: Merge-in start/Makefile.am.
+	* configure.ac: Reflect changes above.
+
 2004-01-05	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/i386/i386ex/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/i386ex/Makefile.am	(revision 68be514d868744235c90c2215db34f47444ab242)
+++ c/src/lib/libbsp/i386/i386ex/Makefile.am	(revision b3c7b2d808a670c856879711fb7b08394b4dab28)
@@ -5,13 +5,23 @@
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
 
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../bsp.am
+
 # wrapup is the one that actually builds and installs the library
 # from the individual .rel files built in other directories
-SUBDIRS = . start startup clock console timer network wrapup
-
-include $(top_srcdir)/../../bsp.am
+SUBDIRS = . startup clock console timer network wrapup
 
 include_HEADERS += include/coverhd.h
 
-all-local: $(PREINSTALL_FILES)
+noinst_HEADERS = start/80386ex.h start/80386ex.inc start/macros.inc
+S_FILES = start/start.S
+$(ARCH)/%$(LIB_VARIANT).$(OBJEXT): start/start.S $(ARCH)/$(dirstamp)
+	$(CCASCOMPILE) -DASM -o $@ -c $<
+
+project_lib_DATA = $(ARCH)/start$(LIB_VARIANT).$(OBJEXT)
+
+all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
+
+TMPINSTALL_FILES =
 
 $(PROJECT_INCLUDE)/coverhd.h: include/coverhd.h $(PROJECT_INCLUDE)/$(dirstamp)
@@ -19,4 +29,8 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/coverhd.h
 
+$(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start$(LIB_VARIANT).$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
+TMPINSTALL_FILES += $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
+
 include $(top_srcdir)/../../../../automake/subdirs.am
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/i386/i386ex/configure.ac
===================================================================
--- c/src/lib/libbsp/i386/i386ex/configure.ac	(revision 68be514d868744235c90c2215db34f47444ab242)
+++ c/src/lib/libbsp/i386/i386ex/configure.ac	(revision b3c7b2d808a670c856879711fb7b08394b4dab28)
@@ -28,5 +28,4 @@
 clock/Makefile
 console/Makefile
-start/Makefile
 startup/Makefile
 timer/Makefile
Index: src/lib/libbsp/i386/i386ex/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/i386ex/start/Makefile.am	(revision 68be514d868744235c90c2215db34f47444ab242)
+++ 	(revision )
@@ -1,34 +1,0 @@
-##
-## $Id$
-##
-
-S_FILES = start.S
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
-
-noinst_HEADERS = 80386ex.h 80386ex.inc macros.inc
-
-OBJS = $(S_O_FILES)
-
-include $(top_srcdir)/../../../../automake/compile.am
-include $(top_srcdir)/../../../../automake/lib.am
-include $(top_srcdir)/../../bspstart.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-project_lib_DATA = $(ARCH)/start$(LIB_VARIANT).$(OBJEXT)
-
-all-local: $(TMPINSTALL_FILES)
-
-EXTRA_DIST = start.S
-
-$(PROJECT_LIB)/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_LIB)
-	@: > $(PROJECT_LIB)/$(dirstamp)
-
-$(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start$(LIB_VARIANT).$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
-TMPINSTALL_FILES += $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
-
-include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/i386/pc386/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/pc386/ChangeLog	(revision 68be514d868744235c90c2215db34f47444ab242)
+++ c/src/lib/libbsp/i386/pc386/ChangeLog	(revision b3c7b2d808a670c856879711fb7b08394b4dab28)
@@ -1,2 +1,8 @@
+2004-01-07	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Remove.
+	* Makefile.am: Merge-in start/Makefile.am.
+	* configure.ac: Reflect changes above.
+
 2004-01-05	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/i386/pc386/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/pc386/Makefile.am	(revision 68be514d868744235c90c2215db34f47444ab242)
+++ c/src/lib/libbsp/i386/pc386/Makefile.am	(revision b3c7b2d808a670c856879711fb7b08394b4dab28)
@@ -5,10 +5,13 @@
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
 
+# FIXME: We must not include *.cfg
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../bsp.am
+
 # wrapup is the one that actually builds and installs the library
 # from the individual .rel files built in other directories
-SUBDIRS = . tools start startup clock console timer ne2000 wd8003 3c509 ide \
+SUBDIRS = . tools startup clock console timer ne2000 wd8003 3c509 ide \
     wrapup
-
-include $(top_srcdir)/../../bsp.am
 
 # This driver needs to be reworked for the BSD stack.
@@ -21,7 +24,29 @@
 nodist_include_HEADERS += $(top_srcdir)/../../shared/include/coverhd.h
 
-all-local: $(PREINSTALL_FILES)
+S_FILES = start/start.S
+$(ARCH)/%$(LIB_VARIANT).$(OBJEXT): start/start.S $(ARCH)/$(dirstamp)
+	${CCASCOMPILE} -DASM -o $@ -c $<
+
+project_lib_DATA = $(ARCH)/start$(LIB_VARIANT).$(OBJEXT)
+
+S_FILES += start/start16.S
+$(ARCH)/start16.$(OBJEXT): start/start16.S $(ARCH)/$(dirstamp)
+	$(COMPILE.S) $(AM_CPPFLAGS) -DHEADERADDR=$(HEADERADDR) -o $@ $<
+
+$(ARCH)/start16$(LIB_VARIANT)-elf32.$(OBJEXT): $(ARCH)/start16.$(OBJEXT) $(ARCH)/$(dirstamp)
+	$(LD) -N -T $(top_srcdir)/startup/linkcmds -Ttext $(START16ADDR) -e start16 -nostdlib \
+	  --oformat=elf32-i386 \
+	-o $@ $<
+
+$(ARCH)/start16$(LIB_VARIANT).bin: $(ARCH)/start16$(LIB_VARIANT)-elf32.$(OBJEXT)
+	$(OBJCOPY) -O binary $< $@
+
+project_lib_DATA += $(ARCH)/start16$(LIB_VARIANT).bin
+
+all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
 
 EXTRA_DIST = HOWTO README.dec21140 STATUS times_i486dx times_p5
+
+TMPINSTALL_FILES =
 
 if HAS_NETWORKING
@@ -39,4 +64,12 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/coverhd.h
 
+$(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start$(LIB_VARIANT).$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
+TMPINSTALL_FILES += $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
+
+$(PROJECT_LIB)/start16$(LIB_VARIANT).bin: $(ARCH)/start16$(LIB_VARIANT).bin $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/start16$(LIB_VARIANT).bin
+TMPINSTALL_FILES += $(PROJECT_LIB)/start16$(LIB_VARIANT).bin
+
 include $(top_srcdir)/../../../../automake/subdirs.am
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/i386/pc386/configure.ac
===================================================================
--- c/src/lib/libbsp/i386/pc386/configure.ac	(revision 68be514d868744235c90c2215db34f47444ab242)
+++ c/src/lib/libbsp/i386/pc386/configure.ac	(revision b3c7b2d808a670c856879711fb7b08394b4dab28)
@@ -31,5 +31,4 @@
 clock/Makefile
 console/Makefile
-start/Makefile
 startup/Makefile
 timer/Makefile
Index: src/lib/libbsp/i386/pc386/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/pc386/start/Makefile.am	(revision 68be514d868744235c90c2215db34f47444ab242)
+++ 	(revision )
@@ -1,49 +1,0 @@
-##
-## $Id$
-##
-
-S_FILES = start16.S start.S
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
-
-OBJS = $(S_O_FILES)
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../../../../automake/compile.am
-include $(top_srcdir)/../../../../automake/lib.am
-include $(top_srcdir)/../../bspstart.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-LINKCMDS = $(top_srcdir)/startup/linkcmds
-
-project_lib_DATA = $(ARCH)/start$(LIB_VARIANT).$(OBJEXT)
-project_lib_DATA += $(ARCH)/start16$(LIB_VARIANT).bin
-
-$(ARCH)/start16.$(OBJEXT): start16.S $(ARCH)/$(dirstamp)
-	$(COMPILE.S) $(AM_CPPFLAGS) -DHEADERADDR=$(HEADERADDR) -o $@ $<
-
-$(ARCH)/start16$(LIB_VARIANT).bin: $(ARCH)/start16.$(OBJEXT) $(ARCH)/$(dirstamp)
-	$(LD) -N -T $(LINKCMDS) -Ttext $(START16ADDR) -e start16 -nostdlib \
-	  --oformat=elf32-i386 \
-	-o $(basename $@)-elf32.$(OBJEXT) $(basename $@).$(OBJEXT)
-	$(OBJCOPY) -O binary $(basename $@)-elf32.$(OBJEXT) $@
-
-all-local: $(TMPINSTALL_FILES)
-
-EXTRA_DIST = start.S start16.S
-
-$(PROJECT_LIB)/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_LIB)
-	@: > $(PROJECT_LIB)/$(dirstamp)
-
-$(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start$(LIB_VARIANT).$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
-TMPINSTALL_FILES += $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
-
-$(PROJECT_LIB)/start16$(LIB_VARIANT).bin: $(ARCH)/start16$(LIB_VARIANT).bin $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/start16$(LIB_VARIANT).bin
-TMPINSTALL_FILES += $(PROJECT_LIB)/start16$(LIB_VARIANT).bin
-
-include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/i386/ts_386ex/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/ChangeLog	(revision 68be514d868744235c90c2215db34f47444ab242)
+++ c/src/lib/libbsp/i386/ts_386ex/ChangeLog	(revision b3c7b2d808a670c856879711fb7b08394b4dab28)
@@ -1,2 +1,8 @@
+2004-01-07	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Remove.
+	* Makefile.am: Merge-in start/Makefile.am.
+	* configure.ac: Reflect changes above.
+
 2004-01-05	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/i386/ts_386ex/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/Makefile.am	(revision 68be514d868744235c90c2215db34f47444ab242)
+++ c/src/lib/libbsp/i386/ts_386ex/Makefile.am	(revision b3c7b2d808a670c856879711fb7b08394b4dab28)
@@ -5,9 +5,10 @@
 ACLOCAL_AMFLAGS = -I ../../../../aclocal
 
+include $(top_srcdir)/../../../../automake/compile.am
+include $(top_srcdir)/../../bsp.am
+
 # wrapup is the one that actually builds and installs the library
 # from the individual .rel files built in other directories
-SUBDIRS = . tools start startup clock console timer network wrapup
-
-include $(top_srcdir)/../../bsp.am
+SUBDIRS = . tools startup clock console timer network wrapup
 
 if HAS_NETWORKING
@@ -17,5 +18,15 @@
 include_HEADERS += include/coverhd.h
 
-all-local: $(PREINSTALL_FILES)
+noinst_HEADERS = start/80386ex.h start/80386ex.inc start/macros.inc \
+    start/ts_1325.inc
+S_FILES = start/start.S
+$(ARCH)/%$(LIB_VARIANT).$(OBJEXT): start/start.S $(ARCH)/$(dirstamp)
+	$(CCASCOMPILE) -DASM -o $@ -c $<
+
+project_lib_DATA = $(ARCH)/start$(LIB_VARIANT).$(OBJEXT)
+
+all-local: $(PREINSTALL_FILES) $(TMPINSTALL_FILES)
+
+TMPINSTALL_FILES =
 
 if HAS_NETWORKING
@@ -29,4 +40,8 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/coverhd.h
 
+$(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start$(LIB_VARIANT).$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
+TMPINSTALL_FILES += $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
+
 include $(top_srcdir)/../../../../automake/subdirs.am
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/i386/ts_386ex/configure.ac
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/configure.ac	(revision 68be514d868744235c90c2215db34f47444ab242)
+++ c/src/lib/libbsp/i386/ts_386ex/configure.ac	(revision b3c7b2d808a670c856879711fb7b08394b4dab28)
@@ -44,5 +44,4 @@
 clock/Makefile
 console/Makefile
-start/Makefile
 startup/Makefile
 timer/Makefile
Index: src/lib/libbsp/i386/ts_386ex/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/start/Makefile.am	(revision 68be514d868744235c90c2215db34f47444ab242)
+++ 	(revision )
@@ -1,34 +1,0 @@
-##
-## $Id$
-##
-
-S_FILES = start.S
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
-
-OBJS = $(S_O_FILES)
-
-noinst_FILES = 80386ex.h
-
-include $(top_srcdir)/../../../../automake/compile.am
-include $(top_srcdir)/../../../../automake/lib.am
-include $(top_srcdir)/../../bspstart.am
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-project_lib_DATA = $(ARCH)/start$(LIB_VARIANT).$(OBJEXT)
-
-all-local: $(TMPINSTALL_FILES)
-
-EXTRA_DIST = 80386ex.h 80386ex.inc macros.inc start.S ts_1325.inc
-
-$(PROJECT_LIB)/$(dirstamp):
-	@$(mkdir_p) $(PROJECT_LIB)
-	@: > $(PROJECT_LIB)/$(dirstamp)
-
-$(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start$(LIB_VARIANT).$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
-TMPINSTALL_FILES += $(PROJECT_LIB)/start$(LIB_VARIANT).$(OBJEXT)
-
-include $(top_srcdir)/../../../../automake/local.am
